/// <reference path="../scripts/typings\angularjs\angular.d.ts" />

var phonecatApp = angular.module('phonecatApp', []);
class Phone {
 constructor(public name: string, public order: number, public snippet: string) {

 }
}

phonecatApp.controller('PhoneListCtrl', function ($scope) {



 $scope.phones = [ new Phone("Nexus",3,'Fast just got faster with Nexus S.'),
  new Phone("Nexus2", 2, 'Fast just got faster with Nexus S.'),
 new Phone("Nexus1",1,'Fast just got faster with Nexus S.')
 ];

 
});


